summaryrefslogtreecommitdiff
path: root/IR-Data/test-suite.sh
diff options
context:
space:
mode:
authorukw2011-02-25 15:27:46 +0000
committerukw2011-02-25 15:27:46 +0000
commitfc80d6887b7bd8b961aec07d96cc02cc7b08e000 (patch)
treeca261076c468185cba7105a43327e8758b4013bb /IR-Data/test-suite.sh
parentef6af95cc434b390205e4535253157cf705e0978 (diff)
downloadirmp-fc80d6887b7bd8b961aec07d96cc02cc7b08e000.zip
version 1.9.8: improved handling of bi-phase (manchester) frames, added NEC16 protocol
git-svn-id: svn://mikrocontroller.net/irmp@65 aeb2e35e-bfc4-4214-b83c-9e8de998ed28
Diffstat (limited to 'IR-Data/test-suite.sh')
-rw-r--r--IR-Data/test-suite.sh21
1 files changed, 11 insertions, 10 deletions
diff --git a/IR-Data/test-suite.sh b/IR-Data/test-suite.sh
index 93e23f6..a35a0b7 100644
--- a/IR-Data/test-suite.sh
+++ b/IR-Data/test-suite.sh
@@ -70,9 +70,9 @@ do
echo "testing $j ..."
if tmpsrc/irmp -v < $j | grep -q error
then
- tmpsrc/irmp -v < $j | grep error
- echo "test failed"
- exit 1
+ tmpsrc/irmp -v < $j | grep error
+ echo "test failed"
+ exit 1
fi
done
@@ -84,14 +84,15 @@ for j in \
kathrein-15kHz.txt \
recs80-15kHz.txt \
t-home-mediareceiver-15kHz.txt \
+ universal-15kHz.txt \
xbox360-15kHz.txt
do
echo "testing $j ..."
if tmpsrc/irmp-15kHz -v < $j | grep -q error
then
- tmpsrc/irmp-15kHz -v < $j | grep error
- echo "test failed"
- exit 1
+ tmpsrc/irmp-15kHz -v < $j | grep error
+ echo "test failed"
+ exit 1
fi
done
@@ -103,13 +104,13 @@ do
echo "testing $j ..."
if tmpsrc/irmp-20kHz -v < $j | grep -q error
then
- tmpsrc/irmp-20kHz -v < $j | grep error
- echo "test failed"
- exit 1
+ tmpsrc/irmp-20kHz -v < $j | grep error
+ echo "test failed"
+ exit 1
fi
done
-rm -rf tmpsrc
+# rm -rf tmpsrc
echo "all tests successful"
exit 0